Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78676 - apxs generated invalid AddModule in httpd.conf
Summary: apxs generated invalid AddModule in httpd.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-27 15:45 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-19 09:43:23 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-27 15:45:08 UTC
Description of Problem:
 When installing (via apxs -i) a custom authorization module, an invalid
    AddModule
 command is generated in the httpd.conf file

Version-Release number of selected component (if applicable):
 httpd-2.0.40-13 (from Rawhide)

How Reproducible:
 every time

Steps to Reproduce:
1. compile your module
        /usr/sbin/apxs -c mymodule.c
2. install your module
        /usr/sbin/apxs -i -a -n mymodule mymodule.la
3. 

Actual Results:
        /etc/rc.d/init.d/httpd start
  prints
        Starting httpd:
         Apache 1.3 configuration directives found
         please read /usr/share/doc/httpd-2.0.40/migration.html
                                                           [FAILED]

  Run
        /usr/sbin/httpd -t
  and the following is printed
        Syntax error on line 939 of /etc/httpd/conf/httpd.conf:
        Invalid command 'AddModule', perhaps mis-spelled or defined by a module
not included in the server configuration

Expected Results:
  The AddModule line is not valid in 2.0.x

Additional Information:

Comment 1 Joe Orton 2002-11-27 15:57:15 UTC
Ah; does your httpd.conf already contain an old commented out AddModule directive?



Comment 2 Joe Orton 2002-12-19 09:43:23 UTC
Thanks for the report; this is fixed in Raw Hide, httpd-2.0.40-14 which should
hit Raw Hide sometime soon.


Note You need to log in before you can comment on or make changes to this bug.